Package org.apache.catalina.startup

# Enum ClassLoaderFactory.RepositoryType

java.lang.Object
java.lang.Enum<ClassLoaderFactory.RepositoryType>
org.apache.catalina.startup.ClassLoaderFactory.RepositoryType

All Implemented Interfaces:
  `Serializable`, `Comparable<ClassLoaderFactory.RepositoryType>`, `java.lang.constant.Constable`

Enclosing class:
  ClassLoaderFactory

public static enum ClassLoaderFactory.RepositoryType extends Enum<ClassLoaderFactory.RepositoryType>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIR`
`GLOB`
`JAR`
`URL`

## Method Summary

Modifier and Type
Method
Description
`static ClassLoaderFactory.RepositoryType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ClassLoaderFactory.RepositoryType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DIR

public static final ClassLoaderFactory.RepositoryType DIR

### GLOB

public static final ClassLoaderFactory.RepositoryType GLOB

### JAR

public static final ClassLoaderFactory.RepositoryType JAR

### URL

public static final ClassLoaderFactory.RepositoryType URL

## Method Details

### values

public static ClassLoaderFactory.RepositoryType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ClassLoaderFactory.RepositoryType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null